#include <stdio.h>
#include <stdlib.h>
#define DIM 1000
int main()
{
    int Vst[DIM], n, i, Vpr, br=0;
    printf("Broj stalaktita: ");
    do
    {
    scanf("%d", &n);
    if(n<1 || n>DIM)printf("greška");
    }while(n<1 || n>DIM);
    printf("Unesite Pericinu visinu: ");
    scanf("%d", &Vpr);
    for(i=0;i<n;i++)
    {
        printf("visina %d stalaktita: ", i+1);
        scanf("%d", &Vst[i]);
        if(Vst[i]<=Vpr)
        {
            printf("Pericu zaustavlja %d. stalaktit", i+1);
            br=1;
            break;
        }
    }
    if(br==0)
        printf("-1");
    return 0;
}